---
apiVersion: v1
kind: ConfigMap
metadata:
  name: grafana-dashboards
  labels:
    grafana_dashboard: "1"
data:
  k8s-cluster.json: |
{{ .Files.Get "dashboards/k8s-overview.json" | indent 4 }}
  k8s-pod.json: |
{{ .Files.Get "dashboards/k8s-pod.json" | indent 4 }}
  ingress.json: |
{{ .Files.Get "dashboards/istio.json" | indent 4 }}
  kafka.json: |
{{ .Files.Get "dashboards/kafka.json" | indent 4 }}
  minio.json: |
{{ .Files.Get "dashboards/minio.json" | indent 4 }}
  mysql.json: |
{{ .Files.Get "dashboards/mysql.json" | indent 4 }}
  nginx.json: |
{{ .Files.Get "dashboards/nginx.json" | indent 4 }}
  node.json: |
{{ .Files.Get "dashboards/node.json" | indent 4 }}
  postgres.json: |
{{ .Files.Get "dashboards/postgres.json" | indent 4 }}
  redis.json: |
{{ .Files.Get "dashboards/redis.json" | indent 4 }}
